# netconn Struct Reference

`#include <api.h>`

## Data Fields

enum netconn_type | type
enum netconn_state | state
union {
tcp_pcb * tcp
udp_pcb * udp
} | pcb
err_t | err
sys_mbox_t | mbox
sys_mbox_t | recvmbox
sys_mbox_t | acceptmbox
sys_sem_t | sem

## Field Documentation

sys_mbox_t netconn::acceptmbox

err_t netconn::err

sys_mbox_t netconn::mbox

union { ... } netconn::pcb

sys_mbox_t netconn::recvmbox

sys_sem_t netconn::sem

enum netconn_state netconn::state

struct tcp_pcb* netconn::tcp

enum netconn_type netconn::type

struct udp_pcb* netconn::udp

The documentation for this struct was generated from the following file:

- api.h